Bug 1029996 - Resource paging does not correctly respect defaults
Resource paging does not correctly respect defaults
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: REST (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity medium
: DR01
: JON 3.3.0
Assigned To: Libor Zoubek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 11:33 EST by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:01:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-11-13 11:33:30 EST
Description of problem:

There are 2 defatults that are not correctly handled by rest api resource paging.

1. GET /resource/

Actual results: according to docs it should return 20 resources as default pagesize, but it returns more 

Expected results: Docs should be fixed (I guess there is a typo and it should be 200)

2. GET /resource/?ps=5

Actual results: api still returns more resources, using ps=5&page=0 solves the issue, thus page default=0 is not used

Expected results: api should return 5 resources and expect page=0


Version-Release number of selected component (if applicable):
JON 3.2.0.ER5

How reproducible: always
Comment 1 Libor Zoubek 2014-07-09 08:30:06 EDT
in master

commit 400a95123fe9c57e6668bdf5003ef621b7050b73
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed Jul 9 14:28:35 2014 +0200

    Bug 1029996 - Resource paging does not correctly respect defaults

    Default page index set to 0
Comment 2 Simeon Pinder 2014-07-31 11:52:06 EDT
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Note You need to log in before you can comment on or make changes to this bug.